package com.example.aped.ui.all_IOs;

import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.aped.MainActivity;
import com.example.aped.R;

import java.util.List;

public class PinView {
    private MainActivity mainActivity;

    private int image;
    private List<String> pinValues;
    private  String deviceName;


    public PinView(MainActivity pMainActivity,String pDevice, List<String> pPinValues){
        this.mainActivity = pMainActivity;
        this.deviceName = pDevice;
        this.pinValues = pPinValues;
    }

    public View getView(final int i) {
        View view = mainActivity.getLayoutInflater().inflate(R.layout.pin_listview_layout,
                null);
        ImageView imageView = (ImageView) view.findViewById(
                R.id.images);
        TextView textViewPin = (TextView) view.findViewById(
                R.id.textPin);

        String pinState = pinValues.get(i);

        if(pinState.equals("1")) {
            image=R.drawable.green_signal;
        }else if (pinState.equals("0")) {
            image = R.drawable.red_signal;
        } else{ image = R.drawable.off_signal; }
        imageView.setImageResource(image);

        textViewPin.setText(((List<String>) (mainActivity.xml.getPort(deviceName)).get("pins")).get(i));
        return view;
    }
}
